package com.edgec.browserbackend.browser.service;

import com.edgec.browserbackend.browser.dto.FilterDto;
import com.edgec.browserbackend.browser.dto.IpResourceDto;
import com.edgec.browserbackend.browser.dto.IpResourceRequestDto;

import java.util.List;

public interface IpResourceService {

    List<IpResourceDto> buyIp(String username, IpResourceRequestDto ipResourceRequestDto);

    void renewIp(String username, IpResourceRequestDto ipResourceRequestDto) throws Exception;

    void deleteIp(String username, String ipAddr) throws Exception;

    List<IpResourceDto> getIpList(String username, int type, int page, int amount, FilterDto filterDto);
}
